﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using WebApplication1.Models;
using Syncfusion.JavaScript;
using System.Collections;
using Newtonsoft.Json;
using System.Web;
using Syncfusion.JavaScript.DataSources;
using System.ComponentModel.DataAnnotations;
using System.Data;
using System.Data.SqlClient;
using Microsoft.IdentityModel.Protocols;
using System.Reflection;
using Microsoft.EntityFrameworkCore;
using System.IO;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocIO;

// controller page
namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        private NORTHWNDContext _context;
        public HomeController(NORTHWNDContext context)
        {
            _context = context;
        }
        DataModel model = new DataModel();
        public IActionResult Index()
        {
            List<Tables> data = new List<Tables>();
            string connectionString = @"Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename=C:\Users\keerthana.rajendran\Downloads\WebApplication1-2055850166\WebApplication1\WebApplication1\Data\NORTHWND.MDF;Integrated Security=True;Connect Timeout=30";
            SqlCommand sqlCommand = new SqlCommand();
            System.Data.DataTable dt = new DataTable();
            SqlConnection sqlc = new SqlConnection(connectionString);
            SqlCommand cmd = new SqlCommand();
            using (sqlc)
            {
                sqlc.Open();
                SqlDataReader myReader = null;
                SqlCommand myCommand = new SqlCommand("select * From [Table]",
                                                         sqlc);
                myReader = myCommand.ExecuteReader();
                while (myReader.Read())
                {

                    data.Add(new Tables((byte[])myReader["byte"]));
                    ViewBag.value = (myReader["value"].ToString());
                    model.RTEvalue= (myReader["value"].ToString());
                }
                sqlc.Close();

            }
           
            return View(model);

        }
        [HttpPost]
        public ActionResult Index(DataModel data)
        {
            string value = data.RTEvalue;


            // update or process the data here
            return View(model);
        }
      

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        
    }
    public class Tables
    {
       
        public byte[] bytes { get; set; }
        public Tables(byte[] content)
        {
            this.bytes = content;

        }
    }
    public class DataModel
    {
        public string RTEvalue { get; set; }
    }
}
